# libdar::contextual Class Reference
[Private]

the contextual class adds the information of phases in the generic_file More...

`#include <generic_file.hpp>`

Inherits libdar::generic_file.

Inherited by libdar::sar, and libdar::zapette.

List of all members.

## Detailed Description

the contextual class adds the information of phases in the generic_file

two phases are defined

- INIT phase
- OPERATIONAL phase

these are used to help the command launched between slices to decide the action to do depending on the context when reading an archive (first slice / last slice read, ...) the context must also be transfered to dar_slave through the pair of tuyau objects

Definition at line 229 of file generic_file.hpp.

The documentation for this class was generated from the following file:

- generic_file.hpp